commit: 16fc2b4a0e409ef06f442e038a5705501ea20565
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 30 22:09:36 2016 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Wed Nov 30 22:09:36 2016 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=16fc2b4a
dev-lisp/cl-store: Updates header, EAPI and description
dev-lisp/cl-store/cl-store-0.8.10.ebuild | 7 ++++---
dev-lisp/cl-store/cl-store-9999.ebuild | 18 ++++++++----------
2 files changed, 12 insertions(+), 13 deletions(-)
diff --git a/dev-lisp/cl-store/cl-store-0.8.10.ebuild
b/dev-lisp/cl-store/cl-store-0.8.10.ebuild
index 17fbae5..21bda5d 100644
--- a/dev-lisp/cl-store/cl-store-0.8.10.ebuild
+++ b/dev-lisp/cl-store/cl-store-0.8.10.ebuild
@@ -1,13 +1,14 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Id$
EAPI=2
+
inherit common-lisp-2 eutils
MY_P=${PN}_${PV}
-DESCRIPTION="CL-STORE is a Common Lisp library for serializing and
deserializing Common Lisp objects."
+DESCRIPTION="Library for serializing and deserializing Common Lisp objects
from streams."
HOMEPAGE="http://common-lisp.net/project/cl-store/"
SRC_URI="http://common-lisp.net/project/${PN}/files/${MY_P}.tgz"
diff --git a/dev-lisp/cl-store/cl-store-9999.ebuild
b/dev-lisp/cl-store/cl-store-9999.ebuild
index ee5c3ef..564342e 100644
--- a/dev-lisp/cl-store/cl-store-9999.ebuild
+++ b/dev-lisp/cl-store/cl-store-9999.ebuild
@@ -1,18 +1,17 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Id$
-EAPI=5
+EAPI=6
-inherit common-lisp-3 git-2
+inherit common-lisp-3 git-r3
-DESCRIPTION="CL-STORE is a Common Lisp library for serializing and
deserializing Common Lisp objects."
+DESCRIPTION="Library for serializing and deserializing Common Lisp objects
from streams."
HOMEPAGE="http://common-lisp.net/project/cl-store"
EGIT_REPO_URI="https://github.com/skypher/${PN}.git"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc"
DEPEND="sys-apps/texinfo
@@ -25,10 +24,10 @@ src_prepare() {
src_compile() {
cd doc || die
- makeinfo ${PN}.texi -o ${PN}.info || die "Cannot build info docs"
+ makeinfo ${PN}.texi -o ${PN}.info || die
if use doc ; then
VARTEXFONTS="${T}"/fonts \
- texi2pdf ${PN}.texi -o ${PN}.pdf || die "Cannot build
PDF docs"
+ texi2pdf ${PN}.texi -o ${PN}.pdf || die
fi
}
@@ -37,6 +36,5 @@ src_install() {
acl allegrocl clisp cmucl ecl lispworks openmcl sbcl
common-lisp-install-asdf
doinfo doc/${PN}.info
- use doc && dodoc doc/${PN}.pdf
- use doc && dohtml doc/{index.html,style.css}
+ use doc && dodoc doc/{index.html,style.css,${PN}.pdf}
}